# This file created by conda-build 24.1.2
# ------------------------------------------------

package:
  name: libmamba
  version: 1.5.8
source:
  sha256: 6ddaf4b0758eb7ca1250f427bc40c2c3ede43257a60bac54e4320a4de66759a6
  url: https://github.com/mamba-org/mamba/archive/refs/tags/2024.03.25.tar.gz
build:
  ignore_run_exports:
    - spdlog
  number: 2
  run_exports:
    - libmamba >=1.5.8,<1.6.0a0
  string: h0a4e7f9_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - bzip2 1.0.8 h998d150_5
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2024.3.11 hd43f75c_0
    - cmake 3.26.4 h3bd60fd_0
    - expat 2.6.2 h419075a_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.20.1 h2e2fba8_1
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libcurl 8.5.0 hfa2bbb0_0
    - libedit 3.1.20230828 h998d150_0
    - libev 4.33 hfd63f10_1
    - libffi 3.4.4 h419075a_0
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 hb788212_0
    - libssh2 1.10.0 h6ac735f_2
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - libuv 1.44.2 h998d150_0
    - lz4-c 1.9.4 h419075a_0
    - ncurses 6.4 h419075a_0
    - ninja 1.10.2 hd43f75c_5
    - ninja-base 1.10.2 h59a28a9_5
    - openssl 3.0.13 h2f4d8fa_0
    - python 3.12.3 h8edadfe_0
    - readline 8.2 h998d150_0
    - rhash 1.4.3 h6ac735f_0
    - sqlite 3.41.2 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.12 h241ca14_0
    - tzdata 2024a h04d1e81_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.5 h6a09583_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_5
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2024.3.11 hd43f75c_0
    - cli11 2.1.2 h22f4aa5_0
    - cpp-expected 1.0.0 h59a28a9_0
    - fmt 9.1.0 hb8fdbf2_0
    - icu 73.1 h419075a_0
    - krb5 1.20.1 h2e2fba8_1
    - libarchive 3.6.2 h654c02d_2
    - libcurl 8.1.1 hfa2bbb0_2
    - libedit 3.1.20230828 h998d150_0
    - libev 4.33 hfd63f10_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 hb788212_0
    - libsolv 0.7.24 h94b7715_0
    - libssh2 1.10.0 h6ac735f_2
    - libstdcxx-ng 11.2.0 h1234567_1
    - libxml2 2.10.4 h6097fa9_2
    - lz4-c 1.9.4 h419075a_0
    - ncurses 6.4 h419075a_0
    - nlohmann_json 3.11.2 h419075a_0
    - openssl 3.0.13 h2f4d8fa_0
    - pcre2 10.42 hcfaa891_0
    - reproc 14.2.4 h22f4aa5_1
    - reproc-cpp 14.2.4 h22f4aa5_1
    - spdlog 1.11.0 hb8fdbf2_0
    - xz 5.4.6 h998d150_0
    - yaml-cpp 0.8.0 h419075a_0
    - zlib 1.2.13 h998d150_0
    - zstd 1.5.2 hfcb3217_0
  run:
    - bzip2 >=1.0.8,<2.0a0
    - fmt >=9.1.0,<10.0a0
    - libarchive >=3.6.2,<3.7.0a0
    - libcurl >=8.1.1,<9.0a0
    - libgcc-ng >=11.2.0
    - libsolv >=0.7.24,<0.8.0a0
    - libstdcxx-ng >=11.2.0
    - openssl >=3.0.13,<4.0a0
    - reproc >=14.2,<15.0a0
    - reproc-cpp >=14.2,<15.0a0
    - yaml-cpp >=0.8.0,<0.9.0a0
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - test -d ${PREFIX}/include/mamba
    - test -f ${PREFIX}/include/mamba/version.hpp
    - test -f ${PREFIX}/lib/cmake/libmamba/libmambaConfig.cmake
    - test -f ${PREFIX}/lib/cmake/libmamba/libmambaConfigVersion.cmake
    - test -e ${PREFIX}/lib/libmamba${SHLIB_EXT}
    - cat $PREFIX/include/mamba/version.hpp | grep "LIBMAMBA_VERSION_MAJOR 1"
    - cat $PREFIX/include/mamba/version.hpp | grep "LIBMAMBA_VERSION_MINOR 5"
    - cat $PREFIX/include/mamba/version.hpp | grep "LIBMAMBA_VERSION_PATCH 8"
about:
  description: '

    [![Build Status](https://github.com/mamba-org/mamba/workflows/CI/badge.svg)](https://github.com/mamba-org/mamba/actions)

    [![Join the Gitter Chat](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/mamba-org/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

    [![docs](https://readthedocs.org/projects/mamba/badge/?version=latest&style=flat)](https://mamba.readthedocs.io/en/latest)


    `mamba` is a reimplementation of the conda package manager in C++.


    - parallel downloading of repository data and package files using multi-threading

    - libsolv for much faster dependency solving, a state of the art library used
    in the RPM package manager of Red Hat, Fedora and OpenSUSE

    - core parts of `mamba` are implemented in C++ for maximum efficiency


    At the same time, `mamba` utilizes the same command line parser, package installation
    and deinstallation code and transaction verification routines as `conda` to stay
    as compatible as possible.


    Mamba is part of a bigger ecosystem to make scientific packaging more sustainable.
    You can read our [announcement blog post](https://medium.com/@QuantStack/open-software-packaging-for-science-61cecee7fc23).

    The ecosystem also consists of `quetz`, an open source `conda` package server
    and `boa`, a fast `conda` package builder.



    Please refer to the [`mamba` and `micromamba` installation guide](https://mamba.readthedocs.io/en/latest/installation.html)
    in the documentation.



    `mamba` and `micromamba` come with features on top of stock `conda`.



    To efficiently query repositories and query package dependencies you can use `mamba
    repoquery` or `micromamba repoquery`.

    See the [repoquery documentation](https://mamba.readthedocs.io/en/latest/user_guide/mamba.html#repoquery)
    for details.



    `micromamba` can be used to install lock files generated by [conda-lock](https://conda-incubator.github.io/conda-lock/)
    without having to install `conda-lock`. Simply invoke e.g. `micromamba create
    -n my-env -f conda-lock.yml` with an environment lockfile named `*-lock.yml` or
    `*-lock.yaml`.

    '
  dev_url: https://github.com/mamba-org/mamba
  doc_url: https://mamba.readthedocs.io/
  home: https://github.com/mamba-org/mamba
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A fast drop-in alternative to conda, using libsolv for dependency resolution
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 6eae6346-9e33-4639-a572-4a265a7202e7
  recipe-maintainers:
    - JohanMabille
    - SylvainCorlay
    - adriendelsalle
    - ericmjl
    - wolfv
  remote_url: git@github.com:AnacondaRecipes/mamba-feedstock.git
  sha: 1f519c190e02279cdcc83cebf7b080e89f4f7734
